local function compile(params)
	local obj = vim.system({ 'make', 'install_jsregexp' }, { cwd = params.path }):wait()
	if obj.code == 0 then
		vim.notify('Building lacmp done', vim.log.levels.INFO)
	else
		vim.notify('Building blink.cmp failed', vim.log.levels.ERROR)
	end
end

MiniDeps.add({
	source = 'https://github.com/L3MON4D3/LuaSnip',
	hooks = {
		post_install = compile,
		post_checkout = compile,
	}
})
